#Default geoserver vol_data_device
variable "geoserver_basic_data" {
  type = map(string)
  default = {
    vol_data_device = "/dev/vdb"
  }
}

#Geoserver instances Map
variable "geoserver_instances_map" {
  type = map(object({
    name          = string
    description   = string
    flavor        = string
    vol_data_name = string
    vol_data_size = string
  }))
  default = {
    geona = {
      name          = "geoserver-geona",
      description   = "Geoserver geona instance",
      flavor        = "m1.xlarge",
      vol_data_name = "geoserver-geona_data_volume",
      vol_data_size = "50"
    }
    esquiline = {
      name          = "geoserver-esquiline",
      description   = "Geoserver esquiline instance",
      flavor        = "m2.small",
      vol_data_name = "geoserver-esquiline_data_volume",
      vol_data_size = "20"
    }
    ariadne = {
      name          = "geoserver-ariadne",
      description   = "Geoserver ariadne instance",
      flavor        = "m2.small",
      vol_data_name = "geoserver-ariadne_data_volume",
      vol_data_size = "20"
    }
    grsf = {
      name          = "geoserver-grsf",
      description   = "Geoserver grsf instance",
      flavor        = "m1.large",
      vol_data_name = "geoserver-grsf_data_volume",
      vol_data_size = "40"
    }
    protectedareaimpactmaps = {
      name          = "geoserver-protectedareaimpactmaps",
      description   = "Geoserver protectedareaimpactmaps instance",
      flavor        = "c1.large",
      vol_data_name = "geoserver-protectedareaimpactmaps_data_volume",
      vol_data_size = "70"
    }
    sdi-lab = {
      name          = "geoserver-sdi-lab",
      description   = "Geoserver sdi-lab instance",
      flavor        = "m1.large",
      vol_data_name = "geoserver-sdi-lab_data_volume",
      vol_data_size = "100"
    }
    tunaatlas = {
      name          = "geoserver-tunaatlas",
      description   = "Geoserver tunaatlas instance",
      flavor        = "m1.large",
      vol_data_name = "geoserver-tunaatlas_data_volume",
      vol_data_size = "60"
    }
    wecafc-firms = {
      name          = "geoserver-wecafc-firms",
      description   = "Geoserver wecafc-firms instance",
      flavor        = "m1.large",
      vol_data_name = "geoserver-wecafc-firms_data_volume",
      vol_data_size = "40"
    }
    aquacultureatlas = {
      name          = "geoserver-aquacultureatlas",
      description   = "Geoserver aquacultureatlas instance",
      flavor        = "m1.large",
      vol_data_name = "geoserver-aquacultureatlas_data_volume",
      vol_data_size = "50"
    }
  }

}
